VerityVerity API
API Reference

Update webhook endpoint

Update a webhook endpoint's URL, events, or status.

PATCH
/webhooks/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API keys are prefixed with vrt_live_ for production or vrt_test_ for testing. Example: vrt_live_abc123xyz

In: header

Path Parameters

id*integer

Request Body

application/json

url?string
Formaturi
events?array<>
status?string
Value in"active" | "paused"

Response Body

application/json

application/json

application/json

curl -X PATCH "https://verity.backworkai.com/api/v1/webhooks/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "id": 0,
    "url": "string",
    "events": [
      "string"
    ],
    "status": "active",
    "failure_count": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}